Index: src/sas/qtgui/Perspectives/Corfunc/CorfuncPerspective.py
===================================================================
--- src/sas/qtgui/Perspectives/Corfunc/CorfuncPerspective.py	(revision f7b73d5dae5511b829bb45024414bb65170160aa)
+++ src/sas/qtgui/Perspectives/Corfunc/CorfuncPerspective.py	(revision c1b3ffbcf89c7e31092c60c5a4687475af6474e4)
@@ -116,5 +116,4 @@
 
     def setupSlots(self):
-        self.extractBtn.clicked.connect(self.action)
         self.extrapolateBtn.clicked.connect(self.extrapolate)
         self.transformBtn.clicked.connect(self.transform)
@@ -189,4 +188,11 @@
             self._realplot.data = transform
             self._realplot.drawRealSpace()
+            params = self._calculator.extract_parameters(transform)
+            self.avgCoreThick.setValue(params["d0"])
+            self.avgHardBlock.setValue(params["Lc"])
+            self.avgIntThick.setValue(params["dtr"])
+            self.localCrystal.setValue(params["fill"])
+            self.polydisp.setValue(params["A"])
+            self.longPeriod.setValue(params["max"])
 
         self._calculator.compute_transform(extrap, method, bg, completefn, updatefn)
Index: src/sas/qtgui/Perspectives/Corfunc/UI/CorfuncPanel.ui
===================================================================
--- src/sas/qtgui/Perspectives/Corfunc/UI/CorfuncPanel.ui	(revision f7b73d5dae5511b829bb45024414bb65170160aa)
+++ src/sas/qtgui/Perspectives/Corfunc/UI/CorfuncPanel.ui	(revision c1b3ffbcf89c7e31092c60c5a4687475af6474e4)
@@ -16,5 +16,5 @@
   <layout class="QGridLayout" name="gridLayout">
    <item row="1" column="0">
-    <layout class="QVBoxLayout" name="verticalLayout_7" stretch="1,0,0">
+    <layout class="QVBoxLayout" name="verticalLayout_7" stretch="1,0,0,0,0,0,0">
      <item>
       <spacer name="verticalSpacer">
@@ -167,7 +167,98 @@
      </item>
      <item>
+      <widget class="QFrame" name="frame">
+       <property name="frameShape">
+        <enum>QFrame::StyledPanel</enum>
+       </property>
+       <property name="frameShadow">
+        <enum>QFrame::Raised</enum>
+       </property>
+       <property name="lineWidth">
+        <number>5</number>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="Line" name="line">
+       <property name="orientation">
+        <enum>Qt::Horizontal</enum>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <layout class="QGridLayout" name="gridLayout_2">
+       <item row="0" column="1">
+        <widget class="QLabel" name="label_14">
+         <property name="text">
+          <string>Long Period</string>
+         </property>
+        </widget>
+       </item>
+       <item row="0" column="2">
+        <widget class="QDoubleSpinBox" name="avgIntThick"/>
+       </item>
+       <item row="0" column="3">
+        <widget class="QLabel" name="label_15">
+         <property name="text">
+          <string>Average Interface Thickness</string>
+         </property>
+        </widget>
+       </item>
+       <item row="1" column="0">
+        <widget class="QDoubleSpinBox" name="avgHardBlock"/>
+       </item>
+       <item row="1" column="1">
+        <widget class="QLabel" name="label_16">
+         <property name="text">
+          <string>Average Hard Block Thickness</string>
+         </property>
+        </widget>
+       </item>
+       <item row="1" column="2">
+        <widget class="QDoubleSpinBox" name="avgCoreThick"/>
+       </item>
+       <item row="1" column="3">
+        <widget class="QLabel" name="label_17">
+         <property name="text">
+          <string>Average Core Thickness</string>
+         </property>
+        </widget>
+       </item>
+       <item row="2" column="0">
+        <widget class="QDoubleSpinBox" name="polydisp"/>
+       </item>
+       <item row="2" column="1">
+        <widget class="QLabel" name="label_18">
+         <property name="text">
+          <string>Polydispersity</string>
+         </property>
+        </widget>
+       </item>
+       <item row="2" column="2">
+        <widget class="QDoubleSpinBox" name="localCrystal"/>
+       </item>
+       <item row="2" column="3">
+        <widget class="QLabel" name="label_19">
+         <property name="text">
+          <string>Local Crystallinity</string>
+         </property>
+        </widget>
+       </item>
+       <item row="0" column="0">
+        <widget class="QDoubleSpinBox" name="longPeriod"/>
+       </item>
+      </layout>
+     </item>
+     <item>
+      <widget class="Line" name="line_2">
+       <property name="orientation">
+        <enum>Qt::Horizontal</enum>
+       </property>
+      </widget>
+     </item>
+     <item>
       <layout class="QHBoxLayout" name="horizontalLayout_3">
        <item>
-        <layout class="QVBoxLayout" name="verticalLayout_2" stretch="1,1,1">
+        <layout class="QVBoxLayout" name="verticalLayout_2" stretch="0,1">
          <item alignment="Qt::AlignHCenter">
           <widget class="QLabel" name="label_5">
@@ -178,19 +269,23 @@
          </item>
          <item>
-          <widget class="QRadioButton" name="fourierBtn">
-           <property name="text">
-            <string>Fourier</string>
-           </property>
-           <property name="checked">
-            <bool>true</bool>
-           </property>
-          </widget>
-         </item>
-         <item>
-          <widget class="QRadioButton" name="hilbertBtn">
-           <property name="text">
-            <string>Hilbert</string>
-           </property>
-          </widget>
+          <layout class="QHBoxLayout" name="horizontalLayout_4">
+           <item>
+            <widget class="QRadioButton" name="hilbertBtn">
+             <property name="text">
+              <string>Hilbert</string>
+             </property>
+            </widget>
+           </item>
+           <item>
+            <widget class="QRadioButton" name="fourierBtn">
+             <property name="text">
+              <string>Fourier</string>
+             </property>
+             <property name="checked">
+              <bool>true</bool>
+             </property>
+            </widget>
+           </item>
+          </layout>
          </item>
         </layout>
@@ -287,5 +382,5 @@
          </item>
          <item>
-          <layout class="QHBoxLayout" name="horizontalLayout" stretch="0,0,0">
+          <layout class="QHBoxLayout" name="horizontalLayout" stretch="0,0">
            <item>
             <widget class="QPushButton" name="extrapolateBtn">
@@ -299,11 +394,4 @@
              <property name="text">
               <string>Transform</string>
-             </property>
-            </widget>
-           </item>
-           <item>
-            <widget class="QPushButton" name="extractBtn">
-             <property name="text">
-              <string>Extract</string>
              </property>
             </widget>
